### Function

# Fwupd version_format_to_string

since: 1.2.9

#### Declaration [src]

    const gchar*
    fwupd_version_format_to_string (
      FwupdVersionFormat val
    )

#### Description [src]

Converts an enumerated value to a string.

Available since: 1.2.9

#### Parameters

`val`

  Type: `FwupdVersionFormat`

  Value, e.g. `FWUPD_VERSION_FORMAT_PLAIN`.

#### Return value

Type: `const gchar*`

Identifier string.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.